Skip to main content
GET
List test case tags of a canvas

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

promptId
string<uuid>
required

Canvas id.

Response

Tags of the canvas.

id
string<uuid>
required
name
string
required
Maximum string length: 256
color
string
required
Maximum string length: 50
workspaceId
string<uuid>
required
promptId
string<uuid> | null

Canvas the tag belongs to. Always set for tags created through this API.

agentId
string<uuid> | null

Set instead of promptId for agent test case tags; always null here.

createdAt
string<date-time> | null
updatedAt
string<date-time> | null
deletedAt
string<date-time> | null